Update Sub-Merchant Under Master Merchant
curl --request PATCH \
--url https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id}/sub-merchants/{sub_merchant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"is_active": true
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id}/sub-merchants/{sub_merchant_id}"
payload = {
"email": "jsmith@example.com",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phone_number: '<string>',
first_name: '<string>',
last_name: '<string>',
is_active: true
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id}/sub-merchants/{sub_merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sub_merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"kyc_status": "<string>",
"is_active": true,
"parent_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Merchants
Update Sub-Merchant Under Master Merchant
Updates profile, KYC, and is_active for a subvendor that belongs to the master merchant_id.
Admin or the master merchant may call this route. Sub-merchants may still use PATCH /api/v1/auth/merchants/{merchant_id} with their own user id.
PATCH
/
api
/
v1
/
auth
/
merchants
/
{merchant_id}
/
sub-merchants
/
{sub_merchant_id}
Update Sub-Merchant Under Master Merchant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Master merchant (vendor) user ID.
Sub-merchant (subvendor) user ID under this master.
Body
application/json
Response
Sub-merchant updated
Merchant user summary (master vendor or subvendor branch).
Show child attributes
Show child attributes
⌘I